Package picard.analysis.directed

## Enum RnaSeqMetricsCollector.StrandSpecificity

- java.lang.Object
- - java.lang.Enum<RnaSeqMetricsCollector.StrandSpecificity>
  - - picard.analysis.directed.RnaSeqMetricsCollector.StrandSpecificity

- All Implemented Interfaces:
    `Serializable`, `Comparable<RnaSeqMetricsCollector.StrandSpecificity>`
  Enclosing class:
    RnaSeqMetricsCollector

      public static enum RnaSeqMetricsCollector.StrandSpecificity
      extends Enum<RnaSeqMetricsCollector.StrandSpecificity>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FIRST_READ_TRANSCRIPTION_STRAND` |
    `NONE` |
    `SECOND_READ_TRANSCRIPTION_STRAND` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RnaSeqMetricsCollector.StrandSpecificity` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static RnaSeqMetricsCollector.StrandSpecificity[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final RnaSeqMetricsCollector.StrandSpecificity NONE

    - #### FIRST_READ_TRANSCRIPTION_STRAND

          public static final RnaSeqMetricsCollector.StrandSpecificity FIRST_READ_TRANSCRIPTION_STRAND

    - #### SECOND_READ_TRANSCRIPTION_STRAND

          public static final RnaSeqMetricsCollector.StrandSpecificity SECOND_READ_TRANSCRIPTION_STRAND

  - ### Method Detail

    - #### values

          public static RnaSeqMetricsCollector.StrandSpecificity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RnaSeqMetricsCollector.StrandSpecificity c : RnaSeqMetricsCollector.StrandSpecificity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RnaSeqMetricsCollector.StrandSpecificity valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null